> ## Documentation Index
> Fetch the complete documentation index at: https://docs.x.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Communities 조회

> Communities 조회 엔드포인트를 통해 ID로 X Communities에 대한 정보를 검색할 수 있습니다. lookup을 다루는 X API v2 표준 계층에 대한 참고 자료입니다.

export const Button = ({href, children}) => {
  return <div className="not-prose">
    <a href={href}>
      <button className="x-btn">
        <span>{children}</span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Communities 조회 엔드포인트를 통해 ID로 X Communities에 대한 정보를 검색할 수 있습니다.

## 개요

Communities는 X에서 공개 또는 비공개 그룹으로, 회원들이 Post를 공유하고 주제를 토론하며 관심사를 중심으로 연결할 수 있습니다.

<CardGroup cols={2}>
  <Card title="ID로 조회" icon="users-rectangle">
    특정 Community의 세부정보 가져오기
  </Card>

  <Card title="검색" icon="https://mintcdn.com/x-preview/cfyQtgCdwk8p69aa/icons/xds/icon-search.svg?fit=max&auto=format&n=cfyQtgCdwk8p69aa&q=85&s=8c11ad89387b7c09ced1553d5c232834" width="24" height="24" data-path="icons/xds/icon-search.svg">
    키워드로 Communities 찾기
  </Card>
</CardGroup>

***

## 엔드포인트

| Method | Endpoint                                                       | 설명                 |
| :----- | :------------------------------------------------------------- | :----------------- |
| GET    | [`/2/communities/:id`](/x-api/communities/get-community-by-id) | ID로 Community 가져오기 |

***

## 응답 필드

| 필드             | 설명               |
| :------------- | :--------------- |
| `id`           | Community ID     |
| `name`         | Community 이름     |
| `description`  | Community 설명     |
| `created_at`   | 생성일              |
| `member_count` | 회원 수             |
| `is_private`   | Community 비공개 여부 |

***

## 예제 요청

```bash theme={null}
curl "https://api.x.com/2/communities/1234567890?\
community.fields=name,description,member_count,created_at" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

***

## 시작하기

<Note>
  **사전 요구 사항**

  * 승인된 [개발자 계정](https://developer.x.com/en/portal/petition/essential/basic-info)
  * 개발자 콘솔의 [Project 및 App](/resources/fundamentals/developer-apps)
  * App의 [키 및 토큰](/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="Communities 검색" icon="https://mintcdn.com/x-preview/cfyQtgCdwk8p69aa/icons/xds/icon-search.svg?fit=max&auto=format&n=cfyQtgCdwk8p69aa&q=85&s=8c11ad89387b7c09ced1553d5c232834" href="/x-api/communities/search/introduction" width="24" height="24" data-path="icons/xds/icon-search.svg">
    키워드로 Communities 찾기
  </Card>

  <Card title="API 참조" icon="https://mintcdn.com/x-preview/ygI6sSJPehlc0qNT/icons/xds/icon-code.svg?fit=max&auto=format&n=ygI6sSJPehlc0qNT&q=85&s=488e23401b19225b89acc0136d242219" href="/x-api/communities/get-community-by-id" width="24" height="24" data-path="icons/xds/icon-code.svg">
    전체 엔드포인트 문서
  </Card>
</CardGroup>
